ELF_GETAROFF(3)

NAME
elf_getaroff - retrieve the offset of an archive member header

SYNOPSIS
#include <libelf.h>
int64_t elf_getaroff(Elf *elf);

DESCRIPTION
Return the file offset, in bytes, of the archive member header currently referred to by an ELF descriptor. This is the offset of the member header in the parent archive file. This offset can be used with elf_rand.

PARAMETERS

elf Elf descriptor referring to a member of an archive file header.

RETURN VALUE
Return the file offset, in bytes, of the archive member header referred to by elf. If elf is NULL or is not a member of an archive, return -1.

SEE ALSO
elf_begin(3), elf_next(3), elf_rand(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
elf_getaroff first appeared in elfutils 0.114. This elfutils libelf function may not be found in other libelf implementations.